Не обновляется с 3.1.5 на 3.4

  • 1 Ответов
  • 846 Просмотров

0 Пользователей и 1 Гость просматривают эту тему.

*

Оффлайн aaalexusss

  • ***
  • 29
  • [+]0 / [-]0
  • А чтой то вы тут делаете?
    • Просмотр профиля
Не обновляется с 3.1.5 на 3.4
« : 11.03.2015, 15:24:01 »
Помогите пожалуйста. Хочу обновить Joomla c версии 3.1.5 до версии 3.4, но постоянно вылетают ошибки.
Во первых, если обновлять через менеджер расширений первым способом, то есть загрузить файл пакета со своего компьютера, то вылетает ошибка 502 Bad Gateway.
Если вторым способом, то есть установить из каталога на сайте (временного /tmp), то через некоторое время соединения с сайтом, меня выбрасывает на вход в админку.
Если третьим способом при Установки из URL, указываю путь на дистрибутив обновления https://github.com/joomla/joomla-cms/releases/download/3.4.0/Joomla_3.4.0-Stable-Update_Package.zip и выдает ошибку 694536976 с текстом Unable to find the socket transport "ssl" - did you forget to enable it when you configured PHP?. Насколько я нашел ответ на данный вопрос то необходимо включить протокол SSL, то есть значение переменной public $force_ssl = '0'; установить на "1" в файле configuration.php. Если это сделать, то после перезагрузки, при входе в админку выдает белый экран и всё.
Да и ещё, если нажимаешь обновить Joomla через иконку в панели управления в админской панели, то выдает ошибку ту же самую про SSL протокол.
 Помогите пожалуйста, что это за бяка такая)))

*

Оффлайн b2z

  • *****
  • 7449
  • [+]739 / [-]0
  • Разраблю понемногу
    • Просмотр профиля
    • NorrNext - расширения для Joomla! и Pagekit
Re: Не обновляется с 3.1.5 на 3.4
« Ответ #1 : 11.03.2015, 17:24:58 »
502 Bad Gateway - маловат timeout, скрипт работает дольше чем timeout.
Если выбрасывает, то тоже маловат какой-то параметр, и не успев отработать скрипт какой-то скорее всего обрывается.

Вообщем хостинг надо поднастроить...